CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
CommandMessenger.StructSerializer Class Reference

Helper object to convert structures to byte arrays and vice versa. More...

List of all members.

## Static Public Member Functions
static byte[] | ObjectToByteArray (object obj)
| Convert an object to a byte array.
static void | ByteArrayToObject (byte[] bytearray, ref object obj)
| Convert an byte array to an object.

## Detailed Description

Helper object to convert structures to byte arrays and vice versa.

## Member Function Documentation

static void CommandMessenger.StructSerializer.ByteArrayToObject | ( | byte[] | bytearray,
|  | ref object | obj
| ) |  | `[static]`

Convert an byte array to an object.

Parameters:

  bytearray | The bytearray.
  obj | [in,out] The object.

static byte [] CommandMessenger.StructSerializer.ObjectToByteArray | ( | object | obj | ) | `[static]`

Convert an object to a byte array.

Parameters:

  obj | The object.

Returns:
  The byte array.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/StructSerializer.cs